ByCloud Docs
GuidesCLIAPISDK
post/v1/backups

Create backup

Create a backup of a volume

Request Body

required

Content-Type: application/json

volume_id

string<uuid>required

Volume to backup

name

stringoptional

description

stringoptional

container

stringoptional

Backup container

incremental

booleanoptional

Create incremental backup

Default: false

force

booleanoptional

Force backup even if volume is attached

Default: false

snapshot_id

string<uuid>optional

Create backup from snapshot instead of volume

metadata

objectoptional

Responses

202

Backup creation initiated

Content-Type: application/json

backup

objectoptional
400

Invalid request parameters

Content-Type: application/json

error

objectrequired
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Volume not found

Content-Type: application/json

error

objectrequired
409

Volume is not in a state that allows backup

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X POST "https://api.spo1.mycloud.com/v1/backups" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"volume_id": "550e8400-e29b-41d4-a716-446655440000",
"name": "backup-2024-01-15",
"description": "string",
"container": "string",
"incremental": false,
"force": false,
"snapshot_id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": {
"environment": "production",
"team": "backend"
}
}'

Response

Backup creation initiated

{
"backup": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:storage:backup:550e8400-e29b-41d4-a716-446655440000",
"name": "backup-2024-01-15",
"description": "Weekly backup",
"status": "available",
"volume_id": "550e8400-e29b-41d4-a716-446655440001",
"size": 100,
"container": "string",
"is_incremental": false,
"has_dependent_backups": true,
"snapshot_id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": {
"environment": "production",
"team": "backend"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}